POST /api/v202203/utilityPlatform/meter/{meterId}/sendDataAccessReleaseRequest

Email a data access release request

SendDataAccessReleaseRequestEmailV202203 Permissions: Meters (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
meterId The meter that the release is for integer (int32) Required

Request Body

SendDataAccessReleaseRequest
Property Description Type
message The body of the data access release request email Required string
recipients The list of recipient email addresses Cannot be Empty string[]
replyTo Sets the reply-to email address Must be between 0 and 128 characters Required string
subject The subject of the data access release request email Required Must be between 0 and 255 characters string
Example Request Body application/json
{  "message": "string",  "recipients": [
    "string"
  ],  "replyTo": "string",  "subject": "string"
}

Responses

204 No Content The request succeeded. No content is returned in the response body.